Folge 5 – IF und SELECT CASE

In dieser Episode geht es um die IF Abfrage, den SELECT CASE und etwas Fehlerbehandlung.

Und an dieser Stelle der Code der im Makro vorhanden ist.

'Dieses Makro soll prüfen, ob ein Dokument geladen ist
'und ob es sich um ein Teil oder Baugruppen Dokument handelt
Option Explicit
Sub main()
    'Object Variable definieren für Solidworks und zuweisen
    Dim swApp As SldWorks.SldWorks
    Set swApp = Application.SldWorks
    
    'Object Variable definieren für das aktive Dokument und zuweisen
    Dim swModel As ModelDoc2
    Set swModel = swApp.ActiveDoc
    
    'Prüfen ob Dokument geladen und ob der Typ richtig ist
    If Not swModel Is Nothing Then
        Select Case swModel.GetType
            Case swDocumentTypes_e.swDocPART
                swApp.SendMsgToUser "Es ist ein Teil Dokument geladen."
            Case swDocumentTypes_e.swDocASSEMBLY
                swApp.SendMsgToUser "Es ist ein Baugruppen Dokument geladen."
            Case Else
                swApp.SendMsgToUser "Kein Teil Dokument aktiv."
                Exit Sub
        End Select
    End If
    
End Sub
Code-Sprache: VB.NET (vbnet)

Kommentare 2

  • hi, i have watched your clips and they are fantastic. thank you very much. my only source to learn api. please learn how to drawn a mechanical objects with calling from library and other part list. i’m eager to learn more from you. thanks again.
    in this program you write:
    If swModel Is Not Nothing Then…
    i think :
    if not swmodel is nothing then …
    is true.
    best regards.

    • Hello,
      Thank you very much for the words of praise.
      I have changed the error in the code. Thanks for the hint.
      Best regards

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert